<script setup>
import {UseBasket} from "@/Stores/BasketStore";
import {Link} from "@inertiajs/vue3";
const basket = UseBasket();

</script>

<template>
    <div class="marketTop__right noMobile">
        <Link class="marketTop__basket" :href="route('basket')">
            <svg class="marketTop__basket-basket" width="34" height="34" viewbox="0 0 34 34" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M6.48903 21.8937C6.56941 22.6854 6.99773 23.3955 7.60724 23.8751C7.26605 24.2766 7.05953 24.7958 7.05953 25.3627V27.4877C7.05953 28.4037 7.58818 29.1927 8.36307 29.5634C8.31916 29.775 8.2959 29.9942 8.2959 30.2187C8.2959 31.9952 9.74121 33.4405 11.5177 33.4405C13.2942 33.4405 14.7395 31.9952 14.7395 30.2187C14.7395 30.0731 14.7289 29.93 14.7101 29.7894H20.0094C19.9906 29.93 19.98 30.0731 19.98 30.2187C19.98 31.9952 21.4253 33.4405 23.2018 33.4405C24.9783 33.4405 26.4236 31.9952 26.4236 30.2187C26.4236 28.4422 24.9783 26.9969 23.2018 26.9969C22.1241 26.9969 21.1691 27.5292 20.5839 28.3443H14.1356C13.5503 27.5292 12.5953 26.9969 11.5176 26.9969C10.4822 26.9969 9.56002 27.4884 8.97018 28.2497C8.69271 28.1081 8.50449 27.8208 8.50449 27.4878V25.3627C8.50449 24.8908 8.8887 24.5068 9.361 24.5068C9.3632 24.5068 9.36533 24.5066 9.36753 24.5065C9.37194 24.5066 9.37634 24.5068 9.38068 24.5068H26.2754C27.6724 24.5068 29.1192 23.4712 29.5696 22.1491L33.8627 9.54355C34.1056 8.83032 34.023 8.11118 33.6359 7.57048C33.2489 7.02978 32.5947 6.71962 31.8413 6.71962H30.3005L25.6572 2.05412C24.9353 1.33237 23.7652 1.3261 23.0349 2.03458L15.1989 4.14233L13.0955 0.370707C12.9011 0.0222145 12.4611 -0.102689 12.1125 0.0915827L7.90529 2.43799C7.73786 2.53131 7.61447 2.68738 7.56217 2.87175C7.5098 3.05611 7.53285 3.25368 7.62624 3.42105L9.46587 6.71955H7.72307C7.25834 6.71955 6.82059 6.83826 6.44099 7.06081L6.09979 3.64959C6.06284 3.28018 5.75199 2.99892 5.38079 2.99892H0.722586C0.323512 2.99892 0 3.32243 0 3.72151C0 4.12058 0.323512 4.44409 0.722586 4.44409H4.72688L6.48903 21.8937ZM23.202 28.442C24.1816 28.442 24.9786 29.239 24.9786 30.2186C24.9786 31.1983 24.1816 31.9953 23.202 31.9953C22.2223 31.9953 21.4253 31.1983 21.4253 30.2186C21.4253 29.239 22.2223 28.442 23.202 28.442ZM11.5177 28.442C12.4974 28.442 13.2944 29.239 13.2944 30.2186C13.2944 31.1983 12.4974 31.9953 11.5177 31.9953C10.5381 31.9953 9.74114 31.1983 9.74114 30.2186C9.74114 29.239 10.5381 28.442 11.5177 28.442ZM24.6345 3.07476L28.2618 6.71955H20.393L24.0364 3.07607C24.2016 2.91084 24.4703 2.91084 24.6345 3.07476ZM20.9866 4.08211L18.3492 6.71955H16.6363L15.9248 5.44374L20.9866 4.08211ZM9.24022 3.34817L12.1853 1.7057L14.9816 6.71955H11.1205L9.24022 3.34817ZM32.4949 9.07752L28.2018 21.6831C27.9516 22.4174 27.0515 23.0615 26.2756 23.0615H9.38088C8.66497 23.0615 7.99902 22.4599 7.92677 21.7478L7.67145 19.2295H23.2069C23.606 19.2295 23.9295 18.906 23.9295 18.5069C23.9295 18.1078 23.606 17.7843 23.2069 17.7843H7.52501L6.66988 9.34921C6.66988 9.349 6.66988 9.34893 6.66988 9.34879L6.66974 9.34721C6.63719 9.0259 6.73023 8.7262 6.93187 8.50309C7.12903 8.28487 7.41001 8.16472 7.72307 8.16472H29.9937C29.9961 8.16479 29.9984 8.16506 30.0008 8.16506C30.0031 8.16506 30.0055 8.16479 30.0078 8.16472H31.8416C32.1271 8.16472 32.3471 8.25239 32.461 8.41157C32.575 8.57067 32.587 8.8072 32.4949 9.07752Z" fill="white"></path>
            </svg>
            <div class="marketTop__basket-number--warraper">
                <p class="marketTop__basket-number">{{ basket.count }}</p>
            </div></Link>
        <div class="marketTop__price">
            <p class="marketTop__price-price">{{ basket.total }}</p>
            <p class="marketTop__price-text">Руб.</p>
        </div>
    </div>
</template>


